<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.modules</groupId>
        <artifactId>atlasmap</artifactId>
        <version>1.10.1</version>
    </parent>
    <groupId>ru.entaxy.esb.platform.runtime.modules.atlasmap</groupId>
    <artifactId>atlasmap-entaxy-ui</artifactId>
    <packaging>war</packaging>
    <name>ENTAXY :: ATLASMAP :: UI</name>
    <description>ENTAXY :: ATLASMAP :: UI</description>
    
    
    <properties>
	    <!-- filtered plugin properties, we don't define plugin-scripts here
			as we build that dynamically using maven-antrun-plugin below. -->
        <!-- plugin-context is what context this plugin will handle requests on
          in the application server -->
        <plugin-context>/atlasmap-ui</plugin-context>

        <!-- plugin-name is the name of our plugin, affects the name used for
          the plugin's mbean -->
        <plugin-name>atlasmap-ui</plugin-name>

        <!-- plugin-domain is currently unused, we just define it to an empty
          string -->
        <plugin-domain />

        <!-- this lets this plugin deploy nicely into karaf, these get used
          for the ImportPackage directive for maven-bundle-plugin -->
        <bundle.osgi.import.pkg>
            javax.management;resolution:=optional,
            org.slf4j;resolution:=optional;version="[1.7,2)",
            javax.servlet;version="[3.1,4)"
        </bundle.osgi.import.pkg>
	
	    <webapp-dir>${project.artifactId}-${project.version}</webapp-dir>
	    <webapp-outdir>${basedir}/target/${webapp-dir}</webapp-outdir>
	    <schema-outdir>${basedir}/src/main/webapp/lib</schema-outdir>
	    <appjs-outfile>${webapp-outdir}/app/app.js</appjs-outfile>
	
	<!--
	    <angular.version>1.7.9</angular.version>
	-->
	
	  </properties>

    <build>
		<resources>
	      <resource>
	        <directory>src/main/resources</directory>
	        <filtering>true</filtering>
	        <includes>
	          <include>**/*.xml</include>
	        </includes>
	      </resource>
	    </resources>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.apache.maven.plugins</groupId>
                    <artifactId>maven-war-plugin</artifactId>
                    <version>3.3.2</version>
                    <configuration>
                        <warName>atlasmap-ui</warName>
                        <outputFileNameMapping>@{artifactId}@-@{baseVersion}@@{dashClassifier?}@.@{extension}@</outputFileNameMapping>
			          	<packagingExcludes>**/classes/OSGI-INF/**</packagingExcludes>
			          	<failOnMissingWebXml>false</failOnMissingWebXml>
			          	<archive>
			            	<manifestFile>${webapp-outdir}/META-INF/MANIFEST.MF</manifestFile>
			          	</archive>

                        <webResources>
                            <resource>
                                <filtering>true</filtering>
                                <directory>src/main/webapp/static/media</directory>
                                <includes>
                                    <include>**/*.*</include>
                                </includes>
                                <excludes>
                                    <exclude>**/*.woff</exclude>
                                    <exclude>**/*.woff2</exclude>
                                </excludes>
                            </resource>
                            <resource>
                                <filtering>false</filtering>
                                <directory>src/main/webapp/static/media</directory>
                                <includes>
                                    <include>**/*.woff</include>
                                    <include>**/*.woff2</include>
                                </includes>
                            </resource>
                        </webResources>
                    </configuration>
                </plugin>
                
                <plugin>
			        <groupId>org.apache.felix</groupId>
			        <artifactId>maven-bundle-plugin</artifactId>
			        <executions>
			          <execution>
			            <id>bundle-manifest</id>
			            <phase>process-classes</phase>
			            <goals>
			              <goal>manifest</goal>
			            </goals>
			          </execution>
			        </executions>
			        <configuration>
			          <manifestLocation>${webapp-outdir}/META-INF</manifestLocation>
			          <supportedProjectTypes>
			            <supportedProjectType>jar</supportedProjectType>
			            <supportedProjectType>bundle</supportedProjectType>
			            <supportedProjectType>war</supportedProjectType>
			          </supportedProjectTypes>
			          <instructions>
			            <Webapp-Context>${plugin-context}</Webapp-Context>
			            <Web-ContextPath>${plugin-context}</Web-ContextPath>
			
			            <Embed-Directory>WEB-INF/lib</Embed-Directory>
			            <Embed-Dependency>*;scope=compile|runtime</Embed-Dependency>
			            <Embed-Transitive>true</Embed-Transitive>
			
			            <!-- Export-Package>${osgi.export}</Export-Package>
			            <Import-Package>${osgi.import}</Import-Package>
			            <DynamicImport-Package>${osgi.dynamic}</DynamicImport-Package>
			            <Private-Package>${osgi.private.pkg}</Private-Package -->
			
			            <Bundle-ClassPath>.,WEB-INF/classes</Bundle-ClassPath>
			
			            <Bundle-Name>${project.name}</Bundle-Name>
			            <Bundle-SymbolicName>${project.groupId}.${project.artifactId}</Bundle-SymbolicName>
			            <Implementation-Title>Entaxy</Implementation-Title>
			            <Implementation-Version>${project.version}</Implementation-Version>
			          </instructions>
			        </configuration>
			    </plugin>
                
                
                
            </plugins>
        </pluginManagement>
    </build>
</project>
